Remove a webhook endpoint
DELETE
/v1/webhooks/{webhook_id}
const url = 'https://api.pensievelabs.co/v1/webhooks/whe_3b7c11';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.pensievelabs.co/v1/webhooks/whe_3b7c11 \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”webhook_id
required
string
Example
whe_3b7c11Responses
Section titled “Responses”The removed endpoint.
Media typeapplication/json
object
id
required
string
object
required
string
deleted
required
Example
{ "deleted": true}default
Section titled “default”Something went wrong; error.type says what.
Media typeapplication/json
object
error
required
object
type
required
string
message
required
string
param
The request field the error is about.
string | null
request_id
required
string
Example
{ "error": { "type": "invalid_request" }}